Starmade | some block icons have small visual glitches
Closed, FinishedPublic

Description

Notice the Forcefield (Red) right edge of the cube appear white. It's nothing but enough to distract attention while scrolling in hotbar.


Details

Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.201.101
Category
Textures
First occurrence (version)
0.198.133
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
NVIDIA
Video Card Model
GeForce GTX 960
Tester information (Internal use only)

All the blocks I can find that have something odd about them.

  • Red forcefield cube
  • Pink hull cube
  • all Pink standard armor
  • all Pink advanced armor
  • Red advanced armor cube
Detected video (Graphicsinfo.txt)

Running on thread: main
Adapter: vrvd5
Driver Version: 5.3.0.40
Vendor: NVIDIA Corporation
OpenGL Version: 4.5.0 NVIDIA 365.19
Renderer: GeForce GTX 960/PCIe/SSE2
GLSL Ver: 4.50 NVIDIA

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
 <rC_USE_NEW_PLAYER_MODEL_ = true
CONTROL_HELP = false
C_MOUSE_BUTTOM_SWITCH = false
G_RESOLUTION = 1920 x 1080
G_FULLSCREEN = true
G_TEXTURE_PACK = Default
G_TEXTURE_PACK_RESOLUTION = 256
G_VSYNCH = true
G_MULTI_SAMPLE_TARGET = 0
G_MULTI_SAMPLE = 0
G_FOV = 110.0
G_MAX_SEGEMENTSDRAWN = 5000
G_NORMAL_MAPPING = true
G_SHADOWS = true
G_SHADOW_QUALITY = ULTRA
G_SHADOWS_TARGET = true
G_SHADOW_QUALITY_TARGET = ULTRA
G_PROD_BG = true
G_PROD_BG_QUALITY = 4096
F_FRAME_BUFFER_USE = true
G_DRAW_SURROUNDING_GALAXIES_IN_MAP = false
HIT_INDICATION_NUMBERS_LIFETIME = 1.0
PLAYER_SKIN_CREATE = 
PLAYER_SKIN = 
D_LIFETIME_NORM = 30
G_WINDOWED_BORDERLESS = false
S_SOUND_SYSTEM_ENABLED = true
S_SOUND_ENABLED = false
S_SOUND_VOLUME_GLOBAL = 10
N_TRANSMIT_RAW_DEBUG_POSITIONS = false
C_SELECTED_JOYSTICK = 0
ICON_BAKERY_BLOCKSTYLE_ROTATE_DEG = -90.0
MOUSE_WHEEL_SENSIBILITY = 7.0E-4
BUILD_MODE_SHIFT_SPEED = 25.0
ORBITAL_CAM_SPEED = 0.5
G_DAMAGE_DISPLAY = 600
G_STAR_COUNT = 65536
G_VBO_BULKMODE_SIZE = 4
G_DRAW_FOG = false
G_DRAW_BEAMS = true
G_DRAW_EXHAUST_PLUMS = true
D_INFO_CONTROLMANAGER = false
D_INFO_SHADER = true
T_ENABLE_TEXTURE_BAKER = false
D_INFO_DRAW_TIMES = false
D_INFO_DRAW_SPACE_PARTICLE = false
G_SPACE_PARTICLE = true
G_DRAW_MOUSE_COLLISION = false
G_ATMOSPHERE_SHADER = normal
G_SHADOW_NEAR_DIST = 1.0
G_SHADOW_FAR_DIST = 75.0
G_SHADOW_DEPTH_RANGE_NEAR = 0.0
G_SHADOW_DEPTH_RANGE_FAR = 1.0
G_SHADOW_SPLIT_FAR_0 = 0.325
G_SHADOW_SPLIT_NEAR_1 = 0.325
G_SHADOW_SPLIT_FAR_1 = 0.325
G_SHADOW_SPLIT_NEAR_2 = 0.325
G_SHADOW_SPLIT_MULT = 1.005
G_SHADOW_CROP_MATRIX_MAX = -1000.0
G_SHADOW_CROP_MATRIX_MIN = 1000.0
G_SHADOW_EXTRA_BACKUP = 20.0
G_SHADOW_NEAR_CLIP = 0.05
G_SHADOW_SPLIT_RADIUS_ADD_0 = 0.0
G_SHADOW_SPLIT_RADIUS_ADD_1 = 10.0
G_SHADOW_SPLIT_RADIUS_ADD_2 = 0.0
G_SHADOW_SPLIT_RADIUS_ADD_3 = 0.0
G_SHADOW_SPLIT_ORTHO_FAR_ADDED_0 = 0.0
G_SHADOW_SPLIT_ORTHO_FAR_ADDED_1 = 100.0
G_SHADOW_SPLIT_ORTHO_FAR_ADDED_2 = 0.0
G_SHADOW_SPLIT_ORTHO_FAR_ADDED_3 = 0.0
G_SHADOW_SPLIT_ORTHO_NEAR_ADDED = -100.0
G_SHADOW_ULTRA_FAR_BOUND_ADDED_0 = -0.023
G_SHADOW_ULTRA_FAR_BOUND_ADDED_1 = -0.002
G_SHADOW_ULTRA_FAR_BOUND_ADDED_2 = -0.002
G_SHADOW_OTHER_QUALITY_FAR_BOUND_ADDED_0 = -0.023
G_SHADOW_OTHER_QUALITY_FAR_BOUND_ADDED_1 = -0.002
G_SHADOW_OTHER_QUALITY_FAR_BOUND_ADDED_2 = -0.0
G_SHADOW_FOV_ADDED_RAD = 0.2
G_SHADOW_DISPLAY_SHADOW_MAP = false
G_DRAW_SHIELDS = true
G_DRAW_WATER = true
G_DRAW_BACKGOUND = true
G_WATER_USER_MIPMAPS = false
E_NAVIGATION_FILTER = 1021
G_DRAW_ENTITIES = true
G_FRUSTUM_CULLTING = true
G_DRAW_EFFECTS = true
G_SHADER_RELOAD = false
G_FRAMRATE_FIXED = -1
G_SHADERS_ACTIVE = true
G_DEBUG_DRAW_GRID = false
G_DEBUG_DRAW_LINES = true
T_TERRAIN_DRAW = true
T_TERRAIN_WIREFRAME_DRAW = false
G_CULLING_ACTIVE = true
G_TEXTURE_ARRAYS = false
G_AUTO_NORMALIZATION = true
G_DRAW_BY_SIDES = true
G_WIREFRAMED = false
G_TEXTURE_COMPRESSION_BLOCKS = false
G_TEXTURE_ARRAY_COMPRESSION = true
G_TEXTURE_ARRAY_MIPMAP = true
G_TEXTURE_MIPMAP = true
G_SHADOWS_VSM = false
S_PAUSED = false
S_SETTINGS_SHOW = false
MINIMAP_MODE = LARGE
SECTOR_INDICATION_MODE = INDICATION_AND_ARROW
S_KEY_ALLOW_DUPLICATES = true
GIF_WIDTH = 640
GIF_HEIGHT = 640
GIF_FPS = 15
GIF_GUI = false
G_DEBRIS_THRESHOLD_MS = 4
S_INITIAL_SETTING = Multi Player
S_GAME_MODE = Sandbox
G_BONE_ANIMATION = true
P_NT_DEBUG_ACTIVE = false
P_PHYSICS_DEBUG_ACTIVE_OCCLUSION = false
P_PHYSICS_DEBUG_ACTIVE = false
P_PHYSICS_DEBUG_MODE = 0
G_DEUBG_LINE_DRAWING_ACTIVATED = false
G_WINDOW_START_POSITION = center
G_DRAW_GUI_ACTIVE = true
G_DRAW_NO_OVERLAYS = false
G_PARTICLE_SORTING = true
P_PHYSICS_ACTIVATED = true
G_SMOKE_QUALITY = false
G_DRAW_STARS = true
G_DRAW_PASTE_PREVIEW = true
G_USE_SPRITE_VBO = true
TUTORIAL_NEW = true
G_AUTOSELECT_CONTROLLERS = true
S_INFO_DRAW = SOME_INFO
G_VBO_FLAG = STATIC
N_LAG_COMPENSATION = true
N_IGNORE_SAVED_UPLINK_CREDENTIALS_IN_SINGLEPLAYER = true
N_SERVERTIME_UPDATE_FREQUENCE = 10000
M_TEXTURE_PACK_CONFIG_TOOL = ./data/textures/block/Default/64/
G_MIPMAP_LEVEL_MAX = 3
M_MOUSE_SENSITIVITY = 0.5
G_HIT_INDICATION_SIZE = 1.0
F_BLOOM = true
F_BLOOM_INTENSITY = 0.4
S_MOUSE_LOCK = true
G_DRAW_ADV_BUILDMODE_BLOCK_PREVIEW = true
G_DRAW_ALL_CONNECTIONS = false
G_SHOW_PURE_NUMBERS_FOR_SHIELD_AND_POWER = false
S_FLIP_HOTBAR_MOUSEWHEEL_WITHOUT_CTRL = true
S_ZOOM_MOUSEWHEEL = SLOTS
S_MOUSE_SHIP_INVERT = false
S_MOUSE_ALL_INVERT = false
S_USE_REGION_SIGNATURE_TEST = false
G_PREVIEW_TO_BUILD_BLOCK = true
S_EXIT_ON_ESC = false
G_USE_HIGH_QUALITY_ACKGROUND = true
G_DRAW_POPUPS = true
G_USE_VBO_MAP = true
G_DRAW_JUMP_OVERLAY = true
G_MAG_FILTER_LINEAR_BLOCKS = false
G_MAG_FILTER_LINEAR_GUI = false
G_MAX_BEAMS = 8192
SEGMENT_REQUEST_BATCH = 64
CLIENT_BUFFER_SIZE = 65536
ICON_BAKERY_SINGLE_RESOLUTION = 150
G_RAYTRACE_COUNT = 256
ICON_BAKERY_SINGLE_ICONS = false
G_MUST_CONFIRM_DETACHEMENT_AT_SPEED = 50.0
G_USE_SHADER4 = true
O_OCULUS_RENDERING = false
G_USE_VERTEX_LIGHTING_ONLY = false
CLIENT_TRAFFIC_CLASS = true
G_DRAW_SELECTED_BLOCK_WOBBLE = true
G_USE_TWO_COMPENENT_SHADER = false
A_FORCE_AUTHENTICATION_METHOD = -1
MIN_FFA = 2
B_UNDO_REDO_MAX = 30
N_ARTIFICIAL_DELAY = 0
SEGMENT_PIECE_QUEUE_SINGLEPLAYER = 32767
G_MAX_MISSILE_TRAILS = 2048
G_USE_OCCLUSION_CULLING = false
C_AUTOASSIGN_WEAPON_SLOTS = true
G_DRAW_NT_STATS_OVERLAY = false
CLIENT_CUSTOM_TEXTURE_PATH = ./customBlockTextures
SECRET = none
USE_OPEN_AL_SOUND = true
LIMIT_FPS_UNFOCUS = true
GUI_USE_DISPLAY_LISTS = false
USE_GL_MULTI_DRAWARRAYS = true
USE_GL_MULTI_DRAWARRAYS_INITIAL_SET = true
CHAT_CLOSE_ON_ENTER = true
A_FORCE_LOCAL_SAVE_ENABLED_IN_SINGLE_PLAYER = false
G_SHIP_INFO_ZOOM = 0
G_SINGLEPLAYER_CREATIVE_MODE = false
G_DRAW_LAG_OBJECTS_IN_HUD = false
G_SHOW_SYMMETRY_PLANES = true
LANGUAGE_PACK = english
DELETE_SEVER_DATABASE_ON_STARTUP = false
G_BASIC_SELECTION_BOX = false
OFFLINE_PLAYER_NAME = Croquelune
ONLINE_PLAYER_NAME = Croquelune
SERVERLIST_COMPATIBLE = true
SERVERLIST_RESPONSIVE = true
SERVERLIST_FAVORITES = false
SERVERLIST_CUSTOMS = false
G_CUBE_LIGHT_NORMALIZER_NEW = false
SERVERLIST_LAST_SERVER_USED = localhost:4242
LAST_GAME = MP;localhost;4242;Croquelune
PLAY_INTRO = trueeplace this line with the file content>
Restricted Application added a project: Issue Navigation. · View Herald TranscriptMay 28 2016, 10:42 AM
lancake claimed this task.Jun 2 2016, 12:17 PM
lancake added a subscriber: lancake.

-validated-

All the blocks I can find that have something odd about them.

  • Red forcefield cube
  • Pink hull cube
  • all Pink standard armor
  • all Pink advanced armor
  • Red advanced armor cube
lancake shifted this object from the S1 Public space to the S3 Starmade space.Jun 2 2016, 12:18 PM
lancake changed the title from "Forcefield (Red) icon in hotbar have minor visual glitch on one of its edge" to "some block icons have small visual glitches".
lancake triaged this task as "Trivial" priority.
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake edited Tester information (Internal use only). (Show Details)
lancake changed Last tested (version) from 0.198.135 to 0.198.136.
lancake changed Category from none/unspecified to Textures.
lancake set First occurrence (version) to 0.198.133.
lancake moved this task from New / Unconfirmed to Confirmed on the Issue Navigation board.
lancake changed the task status from "Open" to "In Queue (Game)".

-confirmed-

Restricted Application edited projects, added Starmade, Game Development; removed Issue Navigation. · View Herald TranscriptJun 2 2016, 12:19 PM
lancake raised the priority of this task from "Trivial" to "Release Blocker".
Restricted Application added a subscriber: AndyP. · View Herald TranscriptAug 9 2016, 6:11 PM
AndyP lowered the priority of this task from "Release Blocker" to "Trivial".Aug 22 2016, 6:51 AM
AndyP changed the task status from "In Queue (Game)" to "In Queue".Mar 10 2017, 5:25 PM
Restricted Application added a project: Textures. · View Herald TranscriptMar 10 2017, 5:25 PM
AndyP moved this task from Backlog / Unclassed to Beta on the Textures board.Mar 15 2017, 1:12 PM
kupu closed this task as "Closed".Jul 3 2018, 2:54 PM
Restricted Application removed a subscriber: AndyP. · View Herald TranscriptJul 3 2018, 2:54 PM
lancake reopened this task as "Resolved".Jul 3 2018, 3:12 PM
Restricted Application added a project: Quality Assurance. · View Herald TranscriptJul 3 2018, 3:12 PM
lancake closed this task as "Closed".
Restricted Application removed a project: Quality Assurance. · View Herald TranscriptJul 3 2018, 3:12 PM
lancake changed Last tested (version) from 0.198.136 to 0.201.101.Jul 3 2018, 3:13 PM